### Function

# Gimp Item id_is_layer

since: 3.0

#### Declaration [src]

    gboolean
    gimp_item_id_is_layer (
      gint item_id
    )

#### Description [src]

Returns whether the item ID is a layer.

This procedure returns `TRUE` if the specified item ID is a layer.

Note: in most use cases, you should not use this function. If the goal is to verify the accurate type for a `GimpItem`, you should either use `gimp_item_is_layer()` or the specific type-checking methods for the used language.

For instance, in C:

    if (GIMP_IS_LAYER (item))
      do_something ();

Or in the Python binding, you could run:

    if isinstance(item, Gimp.Layer):
      do_something()

Available since: 3.0

#### Parameters

`item_id`

  Type: `gint`

  The item ID.

#### Return value

Type: `gboolean`

TRUE if the item is a layer, FALSE otherwise.